package com.ff.base.enums;

import lombok.Getter;

/**
 * 供应商代码
 *
 * @author shi
 * @date 2025/01/18
 */
@Getter
public enum SupplierCode {
    AZURE("Az", "Azure"),
    ALI_CLOUD_CN("ALY-CN", "大陆阿里云"),
    WANGSU("WS", "wangsu"),
    ALI_YUN("AliYun", "阿里云"),
    WANGSU_IP("WSIP", "wangsu独立Ip"),
    APEIR8("A8", "Apeir8"),
    CLOUDFRONT("AWS", "CloundFront"),
    SUPEREDGE("SE", "SuperEdge"),
    CLOUDFLARE("CF", "cloudFlare"),
    YUNDUN("YD", "yundun"),
    FUNNULL("FN", "funnull"),
    HUAWEI_CLOUD("HWCloud", "华为云"),
    TENCENT_CLOUD("TCCloud", "腾讯云"),
    GOOGLE("GC", "Google"),
    OPEN_SOURCE_RETURN("OSR", "开放回源");

    private final String value;
    private final String description;

    SupplierCode(String value, String description) {
        this.value = value;
        this.description = description;
    }
}
